I changed my app from wicket 1.4.18 to 1.5.4
 Now I get a MarkupNotFound Exception.
In 1.4. the app was running without warnings/errors

Does somebody have a hint?

I'm using a form within a page. The form has a fragment child.

*MarkupCode*:

/<div wicket:id="contentFragment1"/>
<wicket:fragment wicket:id="orderFragment1">    
    <fieldset>
    ...
   </fieldset>
</wicket:fragment>
/

*JavaCode:*

f/orm.add(new OrderFragment1("contentFragment1"));

public class OrderFragment1 extends AbstractOrderFragment1 {

                public OrderFragment1(String id) {
                        super(id, "orderFragment1", 
OrderDetailPagePartEdit.this, orderWrkBean);
...

}/

*
The exception:*
/Last cause: No Markup found for Fragment orderFragment1 in providing markup
container [Page class = com.dachser.uitrosend.order.OrderDetailPagePartEdit,
id = 21, render count = 1]

Root cause:

org.apache.wicket.markup.MarkupNotFoundException: No Markup found for
Fragment orderFragment1 in providing markup container [Page class =
com.dachser.uitrosend.order.OrderDetailPagePartEdit, id = 21, render count =
1]
at
org.apache.wicket.markup.html.panel.FragmentMarkupSourcingStrategy.getMarkup(FragmentMarkupSourcingStrategy.java:143)
at
org.apache.wicket.markup.html.panel.FragmentMarkupSourcingStrategy.onComponentTagBody(FragmentMarkupSourcingStrategy.java:74)
at org.apache.wicket.Component.internalRenderComponent(Component.java:2528)
at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1576)
at org.apache.wicket.Component.internalRender(Component.java:2358)
...
/

Thanks!

--
View this message in context: 
http://apache-wicket.1842946.n4.nabble.com/Markup-not-found-when-upgrading-from-1-4-18-to-1-5-tp4431186p4431186.html
Sent from the Users forum mailing list archive at Nabble.com.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscr...@wicket.apache.org
For additional commands, e-mail: users-h...@wicket.apache.org

Reply via email to